Subject: Re: [PATCH] powerpc: Fix IO space on PCI busses created from of_platform

From: Michael Neuling <[email-masked]>
Date: Tue, 15 May 2007 16:37:44 +1000

> -	/* Setup IO space.
> -	 * This will not work properly for ISA IOs, something needs to be done
> -	 * about it if we ever generalize that way of probing PCI brigdes
> +	/* Setup IO space. We use the non-dynamic version of that code here,
> +	 * which doesn't quite support unplugging. Next kernel release will
> +	 * have a better fix for this.
> +	 * Note also that we don't do ISA, this will also be fixed with a
> +	 * more massive rework.
>  	 */

Do you want to put some absolute kernel version numbers here (rather
than "next kernel release") so that someone reading this won't have to
look through the changelog to work out if this is an old bogus comment,
or something that is actively being hacked on?

Mikey